VARKON Version 1.15 1997-10-24

> ## lst_ini - Procedure

> Init list window
> Description
> Creates and initializes a new list window. Lines of text are added with lst_lin(). The window is not displayed until lst_exi() is called.
> Syntax
> lst_ini(heading)

> STRING | heading*80;

> Principal parameters

> heading | - An arbitrary text or a null string ""

> Optional parameters

> None. |

> Example
> lst_ini("HEADING");
> lst_lin("Line 1");
> lst_lin("Line2");
> lst_lin("Line3");
> lst_exi();
> This example shows how to create and display a list window.
> Comments
> It is important to understand that when a new list window is initialized by lst_ini() it is not possible to initialize a second list window without first closing the previous window with lst_exi(). Many windows may be displayed at the same time but each one must be created and closed individually.
> The text displayed in the list window is kept in a temporary file on the VARKON_TMP directory during the time the window exists. When the list window is killed by the user its temporary file is removed automatically.

VARKON Homepage | Index